## Installation

Add this line to your application's Gemfile:

```ruby
gem 'customer_score'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install customer_score

## Usage

Require the gem 

````ruby
require 'customer_scoring'
````

To create a client instance, run this code:

````ruby
client = CustomerScore::Client.new
````

To retrieve scoring advice for a customer based on their income, zipcode, and age, run this code:

````ruby
score = client.get_score("5000", "60201", "35")
#=> {:propensity => 0.26532, :ranking => "C"}
```


## Testing

To run tests, run `rake spec` in your console.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/customer_score. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

